Subject: bug#12640: 23.3; compilation-start automatic `cd` doesn't work if path has spaces

From: [email-masked]
Date: Sun, 14 Oct 2012 00:02:19 +0100

Function `compilation-start' in compile.el detects if the COMMAND starts
with a `cd directory && ...` and sets the `default-directory'
accordingly.  But it doesn't work if the directory being `cd`ed to
contains spaces, even if correctly quoted using
`shell-quote-argument'.

The regexp used to detect the path is too simple but I'm not sure how
you would get one to detect matching quote pairs.

I'm using Emacs 23.3.1 but I can see that the current git head [1] still
has the problem.

In GNU Emacs 23.3.1 (i386-mingw-nt6.1.7601)
 of 2011-03-10 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.5) --no-opt --cflags -Ic:/imagesupport/include'

[1] http://repo.or.cz/w/emacs.git/blob/HEAD:/lisp/progmodes/compile.el

Alex